ParameterNotFoundException (Hyperic HQ Plugin API)
Keywords: org.hyperic.hq.ui.exception.ParameterNotFoundException class

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.ui.exception
Class ParameterNotFoundException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  org.hyperic.hq.ui.exception.ParameterNotFoundException

All Implemented Interfaces:
  java.io.Serializable

    public class ParameterNotFoundException

extends java.lang.RuntimeException

Implementation of Exception for parameter parsing

See Also:
  Serialized Form

Constructor Summary
`ParameterNotFoundException()` Creates new `ParameterNotFoundException` without detail message.
`ParameterNotFoundException(java.lang.String message)` Constructs an `ParameterNotFoundException` with the specified detail message.

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ParameterNotFoundException

    public ParameterNotFoundException()

  Creates new `ParameterNotFoundException` without detail message.

### ParameterNotFoundException

    public ParameterNotFoundException(java.lang.String message)

  Constructs an `ParameterNotFoundException` with the specified detail message.

  Parameters:
    `message` - the detail message.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.